Skip to main content
`Ctrl`+`K`

# SAMPMsgReplierWrapper

class astropy.samp.SAMPMsgReplierWrapper(cli)

  Bases: `object`

  Function decorator that allows to automatically grab errors and returned maps (if any) from a function bound to a SAMP call (or notify).

  Parameters:
    cli `SAMPIntegratedClient` or `SAMPClient`

      SAMP client instance. Decorator initialization, accepting the instance of the client that receives the call or notification.

  Methods Summary

  `__call__`(f) | Call self as a function.

  Methods Documentation

  __call__(f)

    Call self as a function.